Bug 1269353 - (CVE-2015-7183) CVE-2015-7183 nspr: heap-buffer overflow in PL_ARENA_ALLOCATE (MFSA 2015-133)
CVE-2015-7183 nspr: heap-buffer overflow in PL_ARENA_ALLOCATE (MFSA 2015-133)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20151103,repor...
: Security
Depends On: 1269359 1269360 1269361 1269362 1269363 1269386 1269387 1269388 1269389 1273897 1273899 1273901 1273902 1273903 1273904 1273905 1273906
Blocks: 1269376
  Show dependency treegraph
 
Reported: 2015-10-07 02:03 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-20 10:04 EST (History)
7 users (show)

See Also:
Fixed In Version: nspr 4.10.10
Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow was found in NSPR. An attacker could use this flaw to cause NSPR to crash or execute arbitrary code with the permissions of the user running an application compiled against the NSPR library.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 01:56:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-10-07 02:03:50 EDT
Google security engineer Ryan Sleevi reported an integer overflow in the Netscape Portable Runtime (NSPR) due to a lack of checks during memory allocation. This leads to a potentially exploitable crash. This issue is fixed in NSPR 4.10.10. The NSPR library is a required component of NSS. 

Upstream bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1205157

External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-133.html
https://access.redhat.com/articles/2043623

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ryan Sleevi as the original reporter.
Comment 8 Tomas Hoger 2015-11-03 16:31:48 EST
Fixed upstream in NSPR 4.10.10:

https://groups.google.com/forum/#!topic/mozilla.dev.tech.nspr/zKZoFtsDjtk
Comment 9 errata-xmlrpc 2015-11-04 02:12:23 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1980 https://rhn.redhat.com/errata/RHSA-2015-1980.html
Comment 10 errata-xmlrpc 2015-11-04 07:49:52 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1981 https://rhn.redhat.com/errata/RHSA-2015-1981.html
Comment 14 errata-xmlrpc 2015-11-18 01:28:56 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.6 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.2 AUS
  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2015:2068 https://rhn.redhat.com/errata/RHSA-2015-2068.html

Note You need to log in before you can comment on or make changes to this bug.